Menu

Which smartphones are compatible with dacadoo GO?

dacadoo GO requires an iPhone 5s or newer, or an Android device running Android OS 4.4 (“Kitkat”) or newer.

Mark as helpful. 0

Posted in: dacadoo GO Walking Game

Comments are closed.